package service

import (
	"fonchain-artshow/cmd/dao"
	"fonchain-artshow/pb/test"
	"fonchain-artshow/pkg/serializer"
)

func ArtworkPriceInfo(in *test.ArtworkPriceReq) (err error, artworkPriceRes *test.ArtworkPriceRes) {
	err, artworkPrice := dao.QueryArtworkPrice(in.ArtworkID)
	if err != nil {
		return
	}
	artworkPriceRes = serializer.BuildArtworkPriceRes(artworkPrice)
	return
}
